unit parseU;

interface

//   
function getLeft(str: string): string;
function getRight(str: string): string;
function getPart(str: string; index: integer): string;
function parse(str, divider: string; index: integer): string;

var
  dev: string = ' //'; //       

implementation

//  
function parse(str, divider: string; index: integer): string;
var
  i: integer;
begin
  str := str + divider;
  for i := 1 to index do
    Delete(str, 1, Pos(divider, str) + Length(divider) - 1);
  Result := Copy(str, 1, Pos(divider, str) - 1);
end;

//  .    dev
function getPart(str: string; index: integer): string;
begin
  Result := parse(str, dev, index);
end;

//    ,  
function getLeft(str: string): string;
begin
  Result := getPart(str, 0);
end;

//    ,   
function getRight(str: string): string;
var
  i, l: integer;
begin
  i := Length(str) - 1;
  l := Length(dev);
  while (i > 1)and(copy(str, i, l) <> dev) do
    dec(i);
  Result := copy(str, i, Length(str));
end;

end.
